Name:           perl-Net-FTPServer
Version:        1.122
Release:        19%{?dist}
Summary:        Secure, extensible and configurable Perl FTP server
License:        GPLv2+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-FTPServer/
Source0:        http://www.cpan.org/authors/id/R/RW/RWMJ/Net-FTPServer-%{version}.tar.gz
# fix build failures in tests
# https://rt.cpan.org/Public/Bug/Display.html?id=35698
Patch0:         Net-FTPServer.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Archive::Zip)
BuildRequires:  perl(Authen::PAM)
BuildRequires:  perl(BSD::Resource)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Carp::Heavy)
BuildRequires:  perl(Compress::Zlib)
BuildRequires:  perl(DBI)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Sync)
BuildRequires:  perl(IO::Scalar) >= 1.126
BuildRequires:  /usr/bin/uudecode
BuildRequires:  /usr/bin/compress
BuildRequires:  /usr/bin/iconv
Requires:       perl(Authen::PAM)
Requires:       perl(BSD::Resource)
Requires:       perl(File::Sync)
Requires:       perl(IO::Scalar) >= 1.126
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Net::FTPServer is a secure, extensible and configurable FTP server
written in Perl.

This package contains the Perl modules. Install the perl-ftpd package for
the server executables.

%package -n perl-ftpd
Summary:        Secure, extensible and configurable Perl FTP server
Group:          System Environment/Daemons
Requires:       %{name} = %{version}-%{release}

%description -n perl-ftpd
Net::FTPServer is a secure, extensible and configurable FTP server
written in Perl.

This package contains server executables.

%prep
%setup -q -n Net-FTPServer-%{version}
%patch0 -p1
iconv -f iso-8859-1 -t utf-8 README > README.tmp
mv -f README.tmp README

# http://rt.cpan.org/Ticket/Display.html?id=35698
perl -pi -e 's/(\&)\s*{\s*\$\s*{\s*([\w:]+)\s*}\s*{\s*(\w+)\s*}\s*}/\1\2\3/' \
    lib/Net/FTPServer.pm

find . -name .cvsignore -exec rm -f {} \;

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

install -m644 -D ftpd.conf $RPM_BUILD_ROOT%{_sysconfdir}/ftpd.conf
[ -d $RPM_BUILD_ROOT%{_bindir} ] \
    && mv -f $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_sbindir}

%{_fixperms} $RPM_BUILD_ROOT/*

%check
#https://rt.cpan.org/Public/Bug/Display.html?id=21261
##make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING FAQ README TODO doc/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files -n perl-ftpd
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/ftpd.conf
%{_sbindir}/*

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.122-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Aug  6 2012 Marcela Mašláňová <mmaslano@redhat.com> - 1.122-18
- applied patch from RT#35698. Tests were fixed by this change.
- switch off tests. Sometimes they passed in scratch build, sometimes failed.
  One reason could be old bug RT#21261.

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.122-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jun 16 2012 Petr Pisar <ppisar@redhat.com> - 1.122-16
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.122-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Sep 13 2011 Petr Pisar <ppisar@redhat.com> - 1.122-14
- Build-require Carp because Carp dual-lives now (bug #736768)

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 1.122-13
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.122-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.122-11
- 661697 rebuild for fixing problems with vendorach/lib

* Tue Dec 14 2010 Steven Pritchard <steve@kspei.com> 1.122-10
- Rebuild.

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.122-9
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.122-8
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.122-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.122-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat May 17 2008 Steven Pritchard <steve@kspei.com> 1.122-5
- Improve descriptions.
- Mark ftpd.conf config(noreplace).
- Drop bin/ and ftpd.conf from main package docs.
- Set permissions on ftpd.conf properly.

* Fri May 09 2008 Steven Pritchard <steve@kspei.com> 1.122-4
- Add perl-ftpd subpackage.
- License is really GPLv2+.

* Fri May 09 2008 Steven Pritchard <steve@kspei.com> 1.122-3
- Convert README to UTF-8.

* Wed May 07 2008 Steven Pritchard <steve@kspei.com> 1.122-2
- Update License tag.
- BR uudecode, compress.
- Fix a problem with using constants from Archive::Zip
  (http://rt.cpan.org/Ticket/Display.html?id=35698).
- Remove both _bindir and _sbindir to be safe.

* Mon Jul 16 2007 Steven Pritchard <steve@kspei.com> 1.122-1
- Specfile autogenerated by cpanspec 1.73.
- Fix License and doc list.
- Package scripts as examples.
- BR Archive::Zip, Authen::PAM, Compress::Zlib, DBI, and File::Sync.
- Require Authen::PAM and File::Sync.
- Remove .cvsignore files.
